#pragma once
#include <map>
struct M_ActivityKingCraftExchangeData
{
	//ID
	int mID;
	//兑换类型
	int mType;
	//需要兑换道具ID
	int mNeedItem;
	//需要兑换道具数量
	int mNeedCount;
	//道具ID
	int mItemID;
	//道具数量
	int mItemCount;
	//次数限制
	int mLimit;
};

class M_ActivityKingCraftExchange
{
public:
private:
	static std::auto_ptr<M_ActivityKingCraftExchange> msSingleton;
public:
	int GetCount();
	const M_ActivityKingCraftExchangeData* GetData(int ID);
	const std::map<int, M_ActivityKingCraftExchangeData>& GetMapData();
	void Load();
	void LoadLua();
	void Reload();
	static M_ActivityKingCraftExchange* GetSingleton();
	static void Release();
private:
	std::map<int, M_ActivityKingCraftExchangeData> mMapData;
};
